﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class NumberWizard : MonoBehaviour
{

    [SerializeField] int min;
    [SerializeField] int max;
    [SerializeField] Text guessText;
    int guess;

    // Use this for initialization
    void Start()
    {
        StartGame();
    }
    // Encapsulation
    void StartGame()
    {
        guessValue();
        //max = max + 1;

        //Debug.Log("Welcome to Number Wizard!");
        //Debug.Log("Pick a number, don't tell me what it is...");
        //Debug.Log("The lowest number you can pick is: " + min);
        //Debug.Log("The highest number you can pick is: " + max);
        //Debug.Log("Tell me if you number is lower or higher than " + guess);
        //Debug.Log("Push down = lower");
        //Debug.Log("Push up = higher");
        //Debug.Log("Enter = correct");
    }

    // Update is called once per frame

    public void OnPressHigher()
    {
        NextGuess();
        min = guess + 1;
    }

    public void OnPressLower()
    {
        NextGuess();
        max = guess - 1;
    }

    void NextGuess()
    {
        //guess = (min + max) / 2;
        guessValue();
        //Debug.Log(guess);
    }

    void guessValue()
    {
        guess = Random.Range(min, max + 1);
        guessText.text = guess.ToString();
    }
}